import type { PrimaryTableCol, TableRowData, TypePrimaryTableProps } from '../type';
import type { TableClassName } from './useClassName';
export default function useRowSelect(props: TypePrimaryTableProps, tableSelectedClasses: TableClassName['tableSelectedClasses']): {
    selectedRowClassNames: import("@vue/composition-api").Ref<any>;
    currentPaginateData: import("@vue/composition-api").Ref<{
        [x: string]: any;
        children?: any[];
    }[]>;
    setTSelectedRowKeys: import("../../../hooks/useDefaultValue").ChangeHandler<(string | number)[], [options: import("../type").SelectOptions<TableRowData>]>;
    formatToRowSelectColumn: (col: PrimaryTableCol) => PrimaryTableCol<TableRowData>;
};
